> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark all notifications as read



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml patch /v1/members/{memberId}/notifications/read
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/members/{memberId}/notifications/read:
    patch:
      tags:
        - Notifications
      summary: Mark all notifications as read
      operationId: NotificationController_markAllRead
      parameters:
        - name: memberId
          required: true
          in: path
          schema:
            type: string
        - name: organisationId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''

````